" Get us some plugins
call plug#begin("~/.vim/plugged")
" Plugin Section
Plug 'dracula/vim'
Plug 'ryanoasis/vim-devicons'
Plug 'scrooloose/nerdtree'
call plug#end()


" Show matching
set showmatch

" case insensitive
set ignorecase

" Enable middle mouse click pasting
set mouse=v

" Highlight our search
set hlsearch

" Set columns for tab stop
set tabstop=4

" convert tabs to white spaces
set expandtab

" indent a new line the same amount as the line just typed
set autoindent

" show line numbers
set number

" enable syntax highlighting
syntax on

" use system clipboard
set clipboard=unnamedplus

" highlight current cursorline
set cursorline

" disable creating swap file
set noswapfile
